Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161120 - CAN-2005-1993 sudo trusted user arbitrary command execution
Summary: CAN-2005-1993 sudo trusted user arbitrary command execution
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: sudo
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Ben Levenson
URL:
Whiteboard: public=20050620,impact=moderate,sourc...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-20 16:56 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-21 10:55:27 UTC


Attachments (Terms of Use)

Description Josh Bressers 2005-06-20 16:56:35 UTC
+++ This bug was initially created as a clone of Bug #161116 +++

A race condition in Sudo's command pathname handling prior to
Sudo version 1.6.8p9 that could allow a user with Sudo privileges
to run arbitrary commands.

http://www.securityfocus.com/archive/1/402741/30/0/threaded

Comment 1 Josh Bressers 2005-06-20 16:57:28 UTC
This issue should also affect FC3

Comment 2 Josh Bressers 2005-06-20 18:22:52 UTC
The patch for this issue is attachment 115708 [details]


Note You need to log in before you can comment on or make changes to this bug.